Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81266 - Al Viro found a buffer overflow in Window Maker
Summary: Al Viro found a buffer overflow in Window Maker
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: WindowMaker
Version: 2.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-07 11:37 UTC by Mark J. Cox
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-14 13:48:03 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:009 high SHIPPED_LIVE Moderate: WindowMaker security update 2003-01-07 05:00:00 UTC

Description Mark J. Cox 2003-01-07 11:37:23 UTC
Al Viro found a buffer overflow in Window Maker 0.80.0 and earlier which
may allow remote attackers to execute arbitrary code via a certain image
file that is not properly handled when Window Maker uses width and height
information to allocate a buffer.  This could be exploited for example by a
user opening a malicious theme.

Comment 1 Havoc Pennington 2003-01-07 19:24:55 UTC
This is already in the errata queue for base OS, right?

Do we want an AS package? Someone else should make that decision.


Comment 3 Mark J. Cox 2003-01-14 13:48:03 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-009.html



Note You need to log in before you can comment on or make changes to this bug.